Subject: draft-yevstifeyev-genarea-historic - Clarifying the Historic status

From: Mykyta Yevstifeyev <[email-masked]>
Date: Tue, 25 Jan 2011 08:05:00 +0200

Hello all,

A few weeks ago, if you remember, we had a discussion on moving 
Experimental RFCs to Historic.  Among other, we spoke that the 
definition of Historic status is not right and needs to be corrected.  
I'm citing the corresponding message:

> Hi,
>
>> >  I think that the author of RFC2026 was wrong while writing the definition of Historic status. This document says that Historic should be assigned only to that documents that were standards and now are obsolete. But why do we need such narrow definition? Non-standards RFCs are not made Historic while obsoleting, according to 2026. Moreover, such status will just duplicate the obsoleted-by one. When there will be the attempt to revise RFC 2026, we should put there that Historic status is to be assigned to that documents that are considered to be deprecated. I fully share the opinion of Doug here.
> If you think RFC20206 is wrong, then propose changes to it and see if people agree with the changes.  Until it is changed, IMHO you should not propose actions based on what you as an individual think is incorrect.  There needs to be a community consensus that RFC2026 is wrong before any action should be taken.
>
> Bob
>
So now I's like to introduce the Internet-Draft I've just submitted on 
this topic.  You may find it here:

https://datatracker.ietf.org/doc/draft-yevstifeyev-genarea-historic/?include_text=1

This documents defined the criteria for Historic docs, mentions 
procedures for republication and reclassification of docs as Historic 
RFCs and discusses other issues connected with this status.

So any comments regarding it are welcome.

All the best,
Mykyta Yevstifeyev